html, body {
  margin: 0;
  font-family: 'Montserrat', sans-serif;
}

/* Hide spin buttons. */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
 -webkit-appearance: none;
 margin: 0;
}
/* Firefox */
input[type=number] {
 -moz-appearance: textfield;
}

.flex-box {
  display: flex;
  flex-direction: row;
}

.flex-box-wrap {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin: 10vh 5vw 10vh 5vw;
  justify-content: center;
}

.start-page {
  border: 0;
  height: 100%;
  width: 100%;
}

.main-stuff {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 35%;
  color: #444;
}

.main-stuff h1 {
  font: 3em 'Cinzel', serif;
}
.main-stuff img {
  width: 100%;
  border: 10px solid white;
  box-shadow: 2px 2px 4px gray;
}

.menu-bar {
  background: var(--color-primary-4);
  min-height: 100%;
  flex: 0 0 15vw;
  display: flex;
  justify-content: stretch;
}
.main-menu {
  position: fixed;
  width: 15vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: white;
  top: 50%;
  transform: translateY(-50%);
}

.main-menu p {
  font-size: 1.2em;
  cursor: pointer;
  min-width: 100%;
  text-align: center;
  padding: 8px 0 8px 0;
  margin: 12px 0 12px 0;
}

.main-menu p:hover {
  background: var(--color-primary-2);
}

.main-view {
  width: 85vw;
  min-height: 100vh;
  background: var(--color-secondary-2-1);
  color: #444;
}

.header {
  background-color: var(--color-secondary-2-1);
  position: fixed;
  top: 0;
  height: 10vh;
  width: 85vw;
}

.search-input {
  position: absolute;
  top: 50%;
  left: 80%;
  display: none;
}

.search-btn {
  position: absolute;
  top: 50%;
  left: 80%;
  font-size: 1.1em;
  display: none;
}

#title {
  font: 2em 'Cinzel', serif;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.footer {
  background-color: var(--color-secondary-2-1);
  position: fixed;
  bottom: 0;
  height: 10vh;
  width: 85vw;
}

.footer > * {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.footer-btn {
  background: var(--color-primary-4);
  color: white;
  border: 0;
  font-size: 1.4em;
  cursor: pointer;
  padding: 16px;
}

.form-btn {
  background: var(--color-primary-4);
  color: white;
  border: 0;
  font-size: 1.4em;
  cursor: pointer;
  padding: 16px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.select-quantity-btn {
  margin: 0 !important;
  border: none;
  color: white;
}

#decr-btn {
  background: var(--color-primary-4);
  color: white;
  font-size: 1.4em;
  min-width: 50px;
  cursor: pointer;
}

#incr-btn {
  background: var(--color-primary-4);
  color: white;
  font-size: 1.4em;
  min-width: 50px;
  cursor: pointer;
}

.quantity-input {
  margin: 0 !important;
  border-bottom: none;
  border-top: none;
  background: #f9f9f9f9;
  padding: 8px;
  width: 100%;
  color: #444;
}

.form-div {
  margin: 10vh 5vw 10vh 5vw;
  padding: 8px;
  min-width: 25vw;
}

.label-input-block {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  margin: 8px 0 8px 0;
}

.product-info {
  margin: 8px;
  padding: 8px;
}

.product-info h3 {
  font: 1.4em 'Cinzel', serif;
}

.product-info p {
  font-size: 1em;
}

.product-info img, input {
  display: block;
}

.product-info img {
  box-shadow: 2px 2px 4px gray;
  height: 256px;
  max-width: 100%;
  border: 8px solid white;

}

.product-info .image-box {
  height: 256px;
  width: 256px;
}

.product-info button {
  display: block;
  margin-top: 4px;
  margin-bottom: 4px;
}

.quantity-btn-panel button {
  display: flex;
  flex-direction: row;
  margin-left: 6px;
}

.quantity-panel {
  display: flex;
  flex-direction: row;
  padding: 6px 0 6px 0;
}

.quantity-panel input {
  box-shadow: inset 2px 2px var(--color-secondary-2-0);
}

.cart-info {
  text-align: center;
}